%global gem_name capybara
Name:                rubygem-%{gem_name}
Version:             3.38.0
Release:             1
Summary:             Capybara aims to simplify the process of integration testing Rack applications
License:             MIT
URL:                 https://github.com/teamcapybara/capybara
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/teamcapybara/capybara.git --no-checkout
# cd capybara && git archive -v -o capybara-3.38.0-tests.txz 3.38.0 features/
Source1:             %{gem_name}-%{version}-tests.txz
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(selenium-webdriver) rubygem(sinatra)
BuildRequires:       rubygem(rspec) rubygem(launchy) rubygem(minitest) rubygem(puma)
BuildRequires:       rubygem(nokogiri) rubygem(xpath) rubygem(rack-test) rubygem(mini_mime)
BuildRequires:       rubygem(cucumber) rubygem(regexp_parser) rubygem(matrix)
BuildRequires:       rubygem(nokogiri)
BuildArch:           noarch
%description
Capybara is an integration testing tool for rack based web applications. It
simulates how a user would interact with a website.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b 1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/features features

sed -i '/^require..selenium_statistics.$/ s/^/#/' spec/spec_helper.rb
sed -i '/SeleniumStatistics/ s/^/#/g' ./spec/spec_helper.rb

sed -i '/end.to raise_error(EOFError)/ s/EOFError/Net::ReadTimeout/' \
  spec/server_spec.rb
rspec spec
sed -i "/^require 'bundler/ s/^/#/g" \
  features/support/env.rb
cucumber
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/License.txt
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Aug 02 2023 Ge Wang <wang__ge@126.com> - 3.38.0-1
- update to version 3.38.0

* Thu Jan 5 2023 liyanan <liyanan32@h-partners.com> - 3.34.0-2
- fix build error with ruby 3.1

* Tue Mar 29 2022 liyanan <liyanan32@huawei.com> - 3.34.0-1
- update to 3.34.0

* Thu Dec 02 2021 houyingchao <houyingchao@huawei.com> - 3.33.0-1
- Upgrade to 3.33.0 version
- fix the compilation failed of rubygem-capybara

* Wed Aug 19 2020 fanjiachen <fanjiachen3@huawei.com> - 3.8.1-1
- package init
